Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.RuntimeCollective.webapps.tag
Class LoadBeanTag  view LoadBeanTag download LoadBeanTag.java

java.lang.Object
  extended byjavax.servlet.jsp.tagext.TagSupport
      extended byjavax.servlet.jsp.tagext.BodyTagSupport
          extended byorg.apache.struts.taglib.html.BaseHandlerTag
              extended bycom.RuntimeCollective.webapps.tag.LoadBeanTag
All Implemented Interfaces:
javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LoadBeanTag
extends org.apache.struts.taglib.html.BaseHandlerTag

A custom JSP tag that sets the request parameters necessary for calling a BeanLoaderAction. This tag takes the following attributes:

Exactly one of id, parameter, or (name and property) must be set.

Note the body of the tag should be set to the label of the link.

Version:
$Id: LoadBeanTag.java,v 1.8 2003/09/30 15:13:18 joe Exp $

Field Summary
protected  java.lang.String action
          The path to the BeanLoaderAction which loads the bean.
protected  java.lang.String failForward
          The name of the forward to go to if the bean failed to load successfully.
protected  java.lang.String forward
          The name of the forward to go to if the bean was loaded successfully.
protected  java.lang.String id
          The id of the bean to load.
protected  java.lang.String name
          The name of the bean that holds the id of the bean to load as a property.
protected  java.lang.String parameter
          The parameter that holds the id of the bean to load.
protected  java.lang.String property
          The property of the bean specified by 'name', which holds the id of the bean to load.
protected  java.lang.String scope
          The scope of the bean to look for.
 
Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
accesskey, defaultLocale, doDisabled, doReadonly, indexed, messages, tabindex
 
Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
bodyContent
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
EVAL_BODY_BUFFERED, EVAL_BODY_TAG
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
LoadBeanTag()
           
 
Method Summary
 int doEndTag()
          Default processing of the end tag returning EVAL_PAGE.
 int doStartTag()
          Default processing of the start tag returning EVAL_BODY_BUFFERED.
 java.lang.String getAction()
          Get the path to the BeanLoaderAction which loads the bean.
 java.lang.String getFailForward()
          Get the name of the forward to go to if the bean failed to load successfully.
 java.lang.String getForward()
          Get the name of the forward to go to if the bean was loaded successfully.
 java.lang.String getId()
          Get the id of the bean to load.
 java.lang.String getName()
          Get the name of the bean that holds the id of the bean to load as a property.
 java.lang.String getParameter()
          Get the parameter that holds the id of the bean to load.
 java.lang.String getProperty()
          Get the property of the bean specified by 'name', which holds the id of the bean to load.
 java.lang.String getScope()
          Get the scope of the bean to look for.
 void release()
          Reset the state of the LoadBeanTag.
 void setAction(java.lang.String action)
          Set the path to the BeanLoaderAction which loads the bean.
 void setFailForward(java.lang.String failForward)
          Set the name of the forward to go to if the bean failed to load successfully.
 void setForward(java.lang.String forward)
          Set the name of the forward to go to if the bean was loaded successfully.
 void setId(java.lang.String id)
          Set the id of the bean to load.
 void setName(java.lang.String name)
          Set the name of the bean that holds the id of the bean to load as a property.
 void setParameter(java.lang.String parameter)
          Set the parameter that holds the id of the bean to load.
 void setProperty(java.lang.String property)
          Set the property of the bean specified by 'name', which holds the id of the bean to load.
 void setScope(java.lang.String scope)
          Set the scope of the bean to look for.
 
Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareName, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey
 
Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface javax.servlet.jsp.tagext.Tag
getParent, setPageContext, setParent
 

Field Detail

action

protected java.lang.String action
The path to the BeanLoaderAction which loads the bean.


name

protected java.lang.String name
The name of the bean that holds the id of the bean to load as a property.


property

protected java.lang.String property
The property of the bean specified by 'name', which holds the id of the bean to load. Defaults to id.


scope

protected java.lang.String scope
The scope of the bean to look for.


id

protected java.lang.String id
The id of the bean to load.


parameter

protected java.lang.String parameter
The parameter that holds the id of the bean to load.


forward

protected java.lang.String forward
The name of the forward to go to if the bean was loaded successfully.


failForward

protected java.lang.String failForward
The name of the forward to go to if the bean failed to load successfully.

Constructor Detail

LoadBeanTag

public LoadBeanTag()
Method Detail

getAction

public java.lang.String getAction()
Get the path to the BeanLoaderAction which loads the bean.


setAction

public void setAction(java.lang.String action)
Set the path to the BeanLoaderAction which loads the bean.


getName

public java.lang.String getName()
Get the name of the bean that holds the id of the bean to load as a property.


setName

public void setName(java.lang.String name)
Set the name of the bean that holds the id of the bean to load as a property.


getProperty

public java.lang.String getProperty()
Get the property of the bean specified by 'name', which holds the id of the bean to load.


setProperty

public void setProperty(java.lang.String property)
Set the property of the bean specified by 'name', which holds the id of the bean to load.


getScope

public java.lang.String getScope()
Get the scope of the bean to look for.


setScope

public void setScope(java.lang.String scope)
Set the scope of the bean to look for.


getId

public java.lang.String getId()
Get the id of the bean to load.


setId

public void setId(java.lang.String id)
Set the id of the bean to load.


getParameter

public java.lang.String getParameter()
Get the parameter that holds the id of the bean to load.


setParameter

public void setParameter(java.lang.String parameter)
Set the parameter that holds the id of the bean to load.


getForward

public java.lang.String getForward()
Get the name of the forward to go to if the bean was loaded successfully.


setForward

public void setForward(java.lang.String forward)
Set the name of the forward to go to if the bean was loaded successfully.


getFailForward

public java.lang.String getFailForward()
Get the name of the forward to go to if the bean failed to load successfully.


setFailForward

public void setFailForward(java.lang.String failForward)
Set the name of the forward to go to if the bean failed to load successfully.


doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Description copied from class: javax.servlet.jsp.tagext.BodyTagSupport
Default processing of the start tag returning EVAL_BODY_BUFFERED.


doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Description copied from class: javax.servlet.jsp.tagext.BodyTagSupport
Default processing of the end tag returning EVAL_PAGE.


release

public void release()
Reset the state of the LoadBeanTag.